Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlStruct

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlStruct

All Implemented Interfaces:
  idlObject, idlStruct, java.io.Serializable

public class IdlStruct
extends IdlObject
implements idlStruct

Cette classe represente l'objet IDL Struct

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:22 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlStruct(IdlObject father)` Cree un objet IDL Struct

Method Summary
`java.util.Enumeration` | `content()` Return this idlObject content
`idlStruct` | `description()` Return the struct description ( if forwarded )
`IdlStruct` | `getDefinition()`
`boolean` | `isForward()` Return TRUE is this struct is forward
`void` | `isForward(boolean forward)`
`java.util.Enumeration` | `members()` Return all members of this structure.
`IdlObject` | `searchObject(java.lang.String name)` This method returns an contained object
`void` | `setDefinition(IdlStruct def)`

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlStruct

    public IdlStruct(IdlObject father)

  Cree un objet IDL Struct

Method Detail

### searchObject

    public IdlObject searchObject(java.lang.String name)

  This method returns an contained object
  Overrides:
    `searchObject` in class `IdlObject`

### isForward

    public boolean isForward()

  Description copied from interface: `idlStruct`
  Return TRUE is this struct is forward
  Specified by:
    `isForward` in interface `idlStruct`

### isForward

    public void isForward(boolean forward)

### getDefinition

    public IdlStruct getDefinition()

### setDefinition

    public void setDefinition(IdlStruct def)

### members

    public java.util.Enumeration members()

  Description copied from interface: `idlStruct`
  Return all members of this structure. The 'content' operation return internal descriptions.
  Specified by:
    `members` in interface `idlStruct`

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`

### description

    public idlStruct description()

  Description copied from interface: `idlStruct`
  Return the struct description ( if forwarded )
  Specified by:
    `description` in interface `idlStruct`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD